{smcl}
{* *! version 1.1.1  10oct2024}{...}
{viewerdialog "ベイジアン回帰モデルセレクタ" "dialog bayes"}{...}
{vieweralsosee "[BAYES] bayes" "mansection BAYES bayes"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[BAYES] Bayesian estimation" "help bayesian_estimation"}{...}
{vieweralsosee "[BAYES] Bayesian postestimation" "help bayesian_postestimation"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[BAYES] Bayesian commands" "help bayesian_commands"}{...}
{vieweralsosee "[BAYES] bayesmh" "help bayesmh"}{...}
{vieweralsosee "[BAYES] bayesselect" "help bayesselect"}{...}
{vieweralsosee "[BAYES] Glossary" "help bayes_glossary"}{...}
{viewerjumpto "コマンドの記述法" "jp_bayes##syntax"}{...}
{viewerjumpto "メニュー" "jp_bayes##menu"}{...}
{viewerjumpto "説明" "jp_bayes##description"}{...}
{viewerjumpto "例題" "jp_bayes##examples"}{...}
{viewerjumpto "保存される結果" "jp_bayes##results"}{...}
{viewerjumpto "お問合せ" "jp_bayes##author"}{...}
{p2colset 1 18 20 2}{...}
{p2col:{bf:[BAYES] bayes} {hline 2}}bayes プレフィクスによるベイズ回帰モデル{p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{p 8 15 2}
{cmd:bayes} [{cmd:,} {help jp_bayes##bayesopts:{it:bayesopts}}] {cmd::}
{it:estimation_command} [{cmd:,} {it:estopts}]

{phang}
{marker estimation_command}{...}
{it:estimation_command} は尤度ベースの推定コマンドです. {p_end}
{phang}
{it:estopts} は各推定コマンドに固有のオプションです. {p_end}
{phang}
{manhelp bayesian_estimation BAYES:Bayesian estimation} にて対応する推定コマンドとオプションを確認できます. 

{marker bayesopts}{...}
{synoptset 30 tabbed}{...}
{synopthdr:bayesopts}
{synoptline}
{marker options_priors}{...}
{syntab:{help bayes##priors_options:Priors}}
{p2coldent:* {opt gibbs}}ギブスサンプリングを指定する. 特定の事前分布の組合せにおいて
{cmd:regress}, {cmd:xtreg}, {cmd:mvreg} で使用できる. {p_end}
{p2coldent:* {opt normalpr:ior(#)}}回帰係数やその他の実数パラメータに対して, 事前の正規分布の標準偏差を指定する. 
初期値は, {cmd:normalprior(100)}{p_end}
{p2coldent:* {opt igammapr:ior(# #)}}分散に対する事前の逆ガンマ分布の形状とスケールを指定する. 初期値は, {cmd:igammaprior(0.01 0.01)}{p_end}
{p2coldent:* {cmdab:iwishartpr:ior(}{help bayes##iwishartpriorspec:{it:#} [...]}{cmd:)}}自由度を指定する. オプションとして非構造化ランダム効果共分散のデフォルトの逆ウィシャート事前分布のスケール行列を指定する. {p_end}
{p2col 4 37 39 2:+* {opt sigma(#)}}{cmd:qreg} で固定スケールシグマを指定する. デフォルトは逆ガンマ事前分布のランダムシグマパラメータ. {p_end}
INCLUDE help jp_bayesmh_prioropts

{marker options_simulation}{...}
  {syntab:{help bayes##simulation_options:Simulation}}
INCLUDE help jp_bayesmh_simopts
{synopt :{opt restubs(restub1 restub2 ...)}}すべてのレベルのランダム効果パラメータのスタブを指定する. マルチレベルモデルでのみ使用できる. {p_end}

{marker options_blocking}{...}
{syntab:{help bayes##blocking_options:Blocking}}
{p2coldent:* {opt blocksize(#)}}最大ブロックサイズ. 初期値は {cmd:blocksize(50)}{p_end}
{synopt: {cmd:block(}{help bayesmh##paramref:{it:paramref}}[{cmd:,} {help bayes##blockopts:{it:blockopts}}]{cmd:)}}モデルパラメータのブロックを指定する. このオプションは複数回指定できる. {p_end}
{synopt: {opt blocksumm:ary}}ブロックサマリを表示する. {p_end}
{p2coldent:* {opt noblock:ing}}デフォルトではパラメータをブロックに分けない. {p_end}

{marker options_initialization}{...}
{syntab:{help bayes##initialization_options:Initialization}}
INCLUDE help jp_bayesmh_initopts
{p2coldent:* {opt noi:sily}}初期化中に推定コマンドからの出力を表示する. {p_end}

{marker options_adaptation}{...}
{syntab:{help bayes##adaptation_options:Adaptation}}
INCLUDE help jp_bayesmh_adaptopts

{marker options_reporting}{...}
{syntab:{help bayes##reporting_options:Reporting}}
INCLUDE help jp_bayes_clevel_hpd_short
INCLUDE help jp_bayes_eform
{synopt :{opt remargl}}ランダム効果モデルにおいて対数周辺尤度を算出する. {p_end}
{synopt :{opt batch(#)}}バッチ平均法のブロックの長さを指定する. 初期値は {cmd:batch(0)}{p_end}
{synopt :{cmdab:sav:ing(}{help filename:{it:filename}}[{cmd:, replace}]{cmd:)}}シミュレーション結果を {it:filename}{cmd:.dta} に保存する. {p_end}
{synopt :{opt nomodelsumm:ary}}モデルサマリの非表示にする. {p_end}
{synopt :{opt nomesumm:ary}}マルチレベルモデルにおいてマルチレベル構造サマリを非表示にする. {p_end}
{synopt :{opt chainsdetail}}チェーンごとの詳しいシミュレーションサマリを表示する. {p_end}
{synopt :[{cmd:no}]{opt dots}}ドットを非表示にするか, 100 回の反復ごとにドットを表示し, 1,000 回の反復ごとに反復番号を表示する. 初期設定はコマンドによって異なる. {p_end}
{synopt :{cmd:dots(}{it:#}[{cmd:,} {opt every(#)}]{cmd:)}}シミュレーションの実行中にドットを表示する. {p_end}
{synopt :[{cmd:no}]{opth show:(bayesmh##paramref:paramref)}}出力から除外または含めるモデルパラメータを指定する. {p_end}
{synopt :{opt showre:ffects}[{cmd:(}{it:{help bayesian postestimation##bayesian_post_reref:reref}}{cmd:)}]}ランダム効果パラメータのすべてまたは一部を出力に含めることを指定する. パネルデータおよびマルチレベルコマンドでのみ使用できる. {p_end}
{synopt :{opt melabel}}{it:estimation_command} と同じラベルを使用して推定結果の表を表示する. マルチレベルコマンドでのみ使用できる. {p_end}
{synopt :{opt nogr:oup}}グループを要約する表を非表示にする. マルチレベルモデルでのみ使用できる. {p_end}
{synopt :{opt notab:le}}推定結果の表を非表示にする. {p_end}
{synopt :{opt nohead:er}}ヘッダーを非表示にする. {p_end}
{synopt :{opt title(string)}}パラメータ推定値の表の上にタイトルとして {it:string} を表示する. {p_end}
{synopt :{help bayesmh##display_options:{it:display_options}}}表示に関するオプション. {p_end}

{marker options_advanced}{...}
{syntab:{help bayes##advanced_options:Advanced}}
INCLUDE help jp_bayesmh_advancedopts
{synoptline}
INCLUDE help jp_snfeaturesnote
{p 4 6 2}* 付きのオプションは, {cmd:bayes} 特有のオプションです. その他のオプションは {cmd:bayes} と {cmd:bayesmh} で共通です. {p_end}
{p 4 6 2}{opt iwishartprior()} の引数は以下の通りです. {break}
{cmdab:iwishartpr:ior(}{help bayes##iwishartpriorspec:{it:#} [{it:matname}] [{bf:,} {bf:{ul:relev}el(}{it:levelvar}{bf:)}]}{cmd:)}.{p_end}
{p 4 6 2}{cmd:prior()} と {cmd:block()} オプションは複数指定できます. {p_end}
{p 4 6 2}{manhelp bayesmh BAYES} にて, {helpb bayesmh##priorspec:{it:priorspec}} と
{helpb bayesmh##paramref:{it:paramref}} は定義されます.  
{p_end}
{p 4 6 2}{it:paramref} 因子変数を含めることができます. {p_end}
{p 4 6 2}
{cmd:collect} プレフィクスを使用できます. {p_end}
{p 4 6 2}{manhelp bayesian_postestimation BAYES:Bayesian postestimation} にて推定後に実行できる機能を確認できます. {p_end}
{p2colreset}{...}


{marker menu}{...}
{bf:メニュー}

{phang}
{bf:[統計(S)] > [ベイズ分析] > [回帰モデル] > 各種推定コマンド }


{marker description}{...}
{bf:説明}

{pstd}
{opt bayes} プレフィックスは, ベイジアン回帰モデルに適合します. 
これは, 多くの尤度ベースの推定コマンドにおけるベイズ推定を提供します. 
{opt bayes} プレフィックスは, モデルパラメータに既定またはユーザー指定の事前分布を使用し, 
対応する事後モデルからシミュレーションサンプルを抽出する MCMC 法を使用してパラメータを推定します. {break}
{manhelp bayesmh BAYES} では, より一般的なベイズモデルを適合できます. 


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

    {hline}
{pstd}ロジスティック回帰の例{p_end}

{pstd}サンプルデータの読込み{p_end}
{phang2}
{cmd:. }{stata webuse lbw}
{p_end}

{pstd}従属変数 {cmd:low} に対するベイズロジスティック回帰モデル{p_end}
{phang2}
{cmd:. }{stata "bayes: logit low age i.race ptl ui"}
{p_end}

{pstd}{cmd:block()} オプションの指定{p_end}
{phang2}
{cmd:. }{stata "bayes, block({low:i.race}): logit low age i.race ptl ui"}
{p_end}

{pstd}{cmd:prior()} オプションの指定{p_end}
{phang2}
{cmd:. }{stata "bayes, prior({low:i.race}, normal(0, 1)) block({low:i.race}): logit low age i.race ptl ui"}
{p_end}

    {hline}
{pstd}打ち切りポアソン回帰の例{p_end}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse runshoes}{p_end}

{pstd}初期の打ち切り点が0 であるベイズ打ち切りポアソン回帰{p_end}
{phang2}{cmd:. }{stata "bayes: tpoisson shoes distance i.male age"}{p_end}

{pstd}打ち切り点を3 とし, 暴露変数を {cmd:age} とするベイズ打ち切りポアソン回帰{p_end}
{phang2}{cmd:. }{stata replace shoes = . if shoes < 4}{p_end}
{phang2}{cmd:. }{stata "bayes: tpoisson shoes distance male, exposure(age) ll(3)"}{p_end}

    {hline}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:bayesmh} で保存される結果に加えて, {cmd:bayes} プレフィクスを実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 15 tabbed}{...}
{p2col 5 15 19 2: Scalars}{p_end}
{synopt:{cmd:e(priorsigma)}}初期の正規分布の標準偏差{p_end}
{synopt:{cmd:e(priorshape)}}初期の逆ガンマ事前分布の形状{p_end}
{synopt:{cmd:e(priorscale)}}初期の逆ガンマ事前分布のスケール{p_end}
{synopt:{cmd:e(blocksize)}}モデルパラメータのブロックの最大サイズ{p_end}

{p2col 5 15 19 2: Macros}{p_end}
{synopt:{cmd:e(prefix)}}{cmd:bayes}{p_end}
{synopt:{cmd:e(cmdname)}}{it:estimation_command} のコマンド名{p_end}
{synopt:{cmd:e(cmd)}}{cmd:e(cmdname)} と同じ{p_end}
{synopt:{cmd:e(command)}}推定コマンドライン{p_end}
{p2colreset}{...}

INCLUDE help jp_author
