{smcl}
{* *! version 1.4.6  23feb2022}{...}
{viewerdialog "ロジスティック回帰（オッズ比を表示）" "dialog logistic"}{...}
{viewerdialog "調査データのロジスティック回帰（オッズ比を表示）" "dialog logistic, message(-svy-) name(svy_logistic)"}{...}
{vieweralsosee "[R] logistic" "mansection R logistic"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[R] logistic postestimation" "help logistic postestimation"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[BAYES] bayes: logistic" "help bayes logistic"}{...}
{vieweralsosee "[R] brier" "help brier"}{...}
{vieweralsosee "[R] cloglog" "help cloglog"}{...}
{vieweralsosee "[MI] Estimation" "help mi estimation"}{...}
{vieweralsosee "[R] exlogistic" "help exlogistic"}{...}
{vieweralsosee "[FMM] fmm: logistic" "help fmm logit"}{...}
{vieweralsosee "[LASSO] Lasso intro" "help lasso intro"}{...}
{vieweralsosee "[R] logit" "help logit"}{...}
{vieweralsosee "[R] npregress kernel" "help npregress kernel"}{...}
{vieweralsosee "[R] npregress series" "help npregress series"}{...}
{vieweralsosee "[R] roc" "help roc"}{...}
{vieweralsosee "[SVY] svy estimation" "help svy_estimation"}{...}
{vieweralsosee "[XT] xtlogit" "help xtlogit"}{...}
{viewerjumpto "コマンドの記述法" "jp_logistic##syntax"}{...}
{viewerjumpto "メニュー" "jp_logistic##menu"}{...}
{viewerjumpto "説明" "jp_logistic##description"}{...}
{viewerjumpto "例題" "jp_logistic##examples"}{...}
{viewerjumpto "保存される結果" "jp_logistic##results"}{...}
{viewerjumpto "お問合せ" "jp_logistic##author"}{...}
{p2colset 1 17 19 2}{...}
{p2col:{bf:[R] logistic} {hline 2}}ロジスティック回帰分析（オッズ比を表示）{p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{p 8 18 2}
{cmd:logistic} {it:{help jp_varlist:depvar}} {it:{help jp_varlist:indepvars}}  [{it:{help jp_if:if}}] [{it:{help jp_in:in}}]  
[{it:{help jp_logistic##weight:weight}}]
[{cmd:,} {it:options}] 

{phang}
{it:depvar} は従属変数です. {p_end}
{phang}
{it:indepvars} は独立変数です. 半角スペースで区切って複数指定できます. {p_end}

{synoptset 28 tabbed}{...}
{synopthdr}
{synoptline}
{syntab :モデル}
{synopt :{opt nocons:tant}}定数項を含めない. {p_end}
{synopt :{opth off:set(varname)}}{it:varname} で指定した変数の係数を 1 にする. {p_end}
{synopt :{opt asis}}完全予測子を保持する. {p_end}
{synopt :{cmdab:const:raints(}{it:{help estimation options##constraints():constraints}}{cmd:)}}線形制約を適用する. {p_end}

{syntab :標準誤差}
{synopt :{opth vce(vcetype)}}{it:vcetype} は次のいずれか. {break}
   {opt opg}, {opt r:obust}, {opt cl:uster} {it:クラスター変数}, {break} 
   {opt boot:strap}, {opt jack:knife}{p_end}

{syntab :レポート}
{synopt :{opt l:evel(#)}}信頼水準を設定する. 初期設定は, 
{cmd:level(95)} です. {p_end}
{synopt :{opt coef}}推定された係数を表示する. {p_end}
{synopt :{opt nocnsr:eport}}制約を表示しない. {p_end}
{synopt :{it:{help logistic##display_options:display_options}}}表示形式に関するオプション. 

{syntab :最大化}
{synopt :{it:{help logistic##maximize_options:maximize_options}}}最適化の処理に関するオプション. {p_end}

{synopt:{opt col:linear}}共線変数を維持する. {p_end}
{synopt:{opt coefl:egend}}統計量の代わりに凡例を表示する. {p_end}
{synoptline}
{p2colreset}{...}
{p 4 6 2}
独立変数には, 因子変数を含めることができます. {p_end}
{p 4 6 2}
従属変数と独立変数には時系列オペレータを含めることができます. {p_end}
{p 4 6 2}
{cmd:bayes}, {cmd:bootstrap}, {cmd:by}, {cmd:collect}, {cmd:fp}, {cmd:jackknife},
{cmd:mfp}, {cmd:mi estimate}, {cmd:nestreg}, {cmd:rolling}, {cmd:statsby},
{cmd:stepwise}, {cmd:svy} プレフィクスを使用できます. {p_end}
{p 4 6 2}{cmd:mi estimate} 使用時は, {cmd:vce(bootstrap)}, {cmd:vce(jackknife)} は使用できません. {p_end}
{p 4 6 2}{helpb bootstrap} プレフィクス使用時は, weight を使用できません. {p_end}
{p 4 6 2}{helpb svy} プレフィクス使用時は, {opt vce()} と weight を使用できません. 
{p_end}
{marker weight}{...}
{p 4 6 2}
{help weight} には, {cmd:fweight}, {cmd:iweight}, {cmd:pweight} を使用できます. {p_end}
{p 4 6 2}
{opt collinear} と {opt coeflegend} はダイアログでは指定できません. {p_end}
{p 4 6 2}
{manhelp logistic_postestimation R:logistic postestimation} にて, 推定後に実行できる機能を確認できます. {p_end}


{marker menu}{...}
{bf:メニュー}

{phang}
{bf:[統計(S)] > [アウトカム(二値)] > [ロジスティック回帰]}


{marker description}{...}
{bf:説明}

{pstd}
{cmd:logistic} は指定した独立変数をもとに従属変数に当てはめるロジスティック回帰モデルです. 
ここで指定する従属変数は 0/1 変数 (より正確には 0/非 0 変数) です. 
{cmd:logistic} は推定値をオッズ比として表示します. 
係数を表示するには, {cmd:logistic} を実行した後に {cmd:logit} を実行します. 


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

    {hline}
{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse lbw}{p_end}

{pstd}ロジスティック回帰分析{p_end}
{phang2}{cmd:. }{stata logistic low age lwt i.race smoke ptl ht ui}{p_end}

{pstd}ロバスト標準誤差を使用したロジスティック回帰分析{p_end}
{phang2}{cmd:. }{stata logistic low age lwt i.race smoke ptl ht ui, vce(robust)}

    {hline}
{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse nhanes2d}{p_end}
{phang2}{cmd:. }{stata svyset}

{pstd}調査データに対するロジスティック回帰分析{p_end}
{phang2}{cmd:. }{stata "svy: logistic highbp height weight age female"}{p_end}

    {hline}
{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse mheart5}{p_end}
{phang2}{cmd:. }{stata mi set mlong}{p_end}
{phang2}{cmd:. }{stata mi register imputed age bmi}{p_end}
{phang2}{cmd:. }{stata mi impute mvn age bmi = attack smokes hsgrad female, add(10)}

{pstd}多重代入を用いたロジスティック回帰分析{p_end}
{phang2}{cmd:. }{stata "mi estimate, or: logistic attack smokes age bmi hsgrad female"}

    {hline}


{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:logistic} を実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 23 tabbed}{...}
{p2col 5 23 26 2: Scalars}{p_end}
{synopt:{cmd:e(N)}}観測数{p_end}
{synopt:{cmd:e(N_cds)}}完全に決定された成功数{p_end}
{synopt:{cmd:e(N_cdf)}}完全に決定された失敗数{p_end}
{synopt:{cmd:e(k)}}パラメータ数{p_end}
{synopt:{cmd:e(k_eq)}}{cmd:e(b)} における等式の数{p_end}
{synopt:{cmd:e(k_eq_model)}}モデルの検定における等式の数{p_end}
{synopt:{cmd:e(k_dv)}}従属変数の数{p_end}
{synopt:{cmd:e(df_m)}}モデルの自由度{p_end}
{synopt:{cmd:e(r2_p)}}疑似決定係数{p_end}
{synopt:{cmd:e(ll)}}対数尤度{p_end}
{synopt:{cmd:e(ll_0)}}定数項のみのモデルの対数尤度{p_end}
{synopt:{cmd:e(N_clust)}}クラスター数{p_end}
{synopt:{cmd:e(chi2)}}カイ二乗値{p_end}
{synopt:{cmd:e(p)}}モデルの検定における {it:p}-値{p_end}
{synopt:{cmd:e(rank)}}{cmd:e(V)} のランク{p_end}
{synopt:{cmd:e(ic)}}反復回数{p_end}
{synopt:{cmd:e(rc)}}戻り値{p_end}
{synopt:{cmd:e(converged)}}収束していれば {cmd:1} , それ以外の時 {cmd:0}{p_end}

{p2col 5 23 26 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:logistic}{p_end}
{synopt:{cmd:e(cmdline)}}実行されたコマンド{p_end}
{synopt:{cmd:e(depvar)}}従属変数名{p_end}
{synopt:{cmd:e(wtype)}}重みタイプ{p_end}
{synopt:{cmd:e(wexp)}}重み表現{p_end}
{synopt:{cmd:e(title)}}推定結果のタイトル{p_end}
{synopt:{cmd:e(clustvar)}}クラスター変数名{p_end}
{synopt:{cmd:e(offset)}}オフセット変数{p_end}
{synopt:{cmd:e(chi2type)}}カイ二乗検定のタイプ. {cmd:Wald} または {cmd:LR}{p_end}
{synopt:{cmd:e(vce)}}{cmd:vce()} で指定した{it:vcetype}{p_end}
{synopt:{cmd:e(vcetype)}}標準誤差のタイトル{p_end}
{synopt:{cmd:e(opt)}}最適化のタイプ{p_end}
{synopt:{cmd:e(which)}}{cmd:max} または {cmd:min}. 最適化問題が最小化か最大化か. {p_end}
{synopt:{cmd:e(ml_method)}}{cmd:ml} 法のタイプ{p_end}
{synopt:{cmd:e(user)}}尤度評価のプログラム名{p_end}
{synopt:{cmd:e(technique)}}最適化手法{p_end}
{synopt:{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt:{cmd:e(estat_cmd)}}{cmd:estat} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(predict)}}{cmd:predict} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(marginsok)}}{cmd:margins} によって許容される予測{p_end}
{synopt:{cmd:e(marginsnotok)}}{cmd:margins} によって許容されない予測{p_end}
{synopt:{cmd:e(asbalanced)}}{cmd:asbalanced} とする因子変数{p_end}
{synopt:{cmd:e(asobserved)}}{cmd:asobserved} とする因子変数{p_end}

{p2col 5 23 26 2: Matrices}{p_end}
{synopt:{cmd:e(b)}}係数ベクトル{p_end}
{synopt:{cmd:e(Cns)}}制約行列{p_end}
{synopt:{cmd:e(ilog)}}20 回までの反復ログ{p_end}
{synopt:{cmd:e(gradient)}}勾配ベクトル{p_end}
{synopt:{cmd:e(mns)}}独立変数の平均ベクトル{p_end}
{synopt:{cmd:e(rules)}}完全予測子に関する情報{p_end}
{synopt:{cmd:e(V)}}推定値の分散共分散行列{p_end}
{synopt:{cmd:e(V_modelbased)}}モデルベースの分散{p_end}

{p2col 5 23 26 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}推定に使用したサンプル{p_end}
{p2colreset}{...}

INCLUDE help jp_rtable

INCLUDE help jp_author
