{smcl}
{* *! version 1.2.0  26sep2023}{...}
{vieweralsosee "[META] meta" "mansection META meta"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[META] Intro" "mansection META Intro"}{...}
{viewerjumpto "説明" "jp_meta##description"}{...}
{viewerjumpto "例題" "jp_meta##examples"}{...}
{viewerjumpto "お問合せ" "jp_meta##author"}{...}
{p2colset 1 16 18 2}{...}
{p2col:{bf:[META] meta} {hline 2}}メタ分析のイントロダクション{p_end}
{p2colreset}{...}


{marker description}{...}
{bf:説明}

    {c TLC}{hline 61}{c TRC}
    {c |} {cmd:meta} コマンドは, メタ分析を実行します.  {col 67}{c |}
    {c |} 具体的には, 次のような分析を行います. : {col 67}{c |}
    {c |}{col 67}{c |}
    {c |}    1. 効果量の計算と指定{col 67}{c |}
    {c |}       {helpb meta esize:[META] meta esize} and {...}
{helpb meta set:[META] meta set}.{col 67}{c |}
    {c |}{col 67}{c |}
    {c |}    2. メタアナリシスデータの要約{col 67}{c |}
    {c |}       {helpb meta summarize:[META] meta summarize} , {...}
{helpb meta forestplot:[META] meta forestplot}.{col 67}{c |}
    {c |}{col 67}{c |}
    {c |}    3. 異質性を調べ, メタ回帰を実行{col 67}{c |}
    {c |}       {helpb meta galbraithplot:[META] meta galbraithplot},{col 67}{c |}
    {c |}       {helpb meta labbeplot:[META] meta labbeplot} , {helpb meta regress:[META] meta regress}.{col 67}{c |}
    {c |}{col 67}{c |}
    {c |}    4. 小規模研究の影響と出版バイアスの調査{col 67}{c |}
    {c |}       {helpb meta funnelplot:[META] meta funnelplot}, {...}
{helpb meta bias:[META] meta bias} , {col 67}{c |}
    {c |}       {helpb meta trimfill:[META] meta trimfill}.{col 67}{c |}
    {c |}{col 67}{c |}
    {c |}    5. 多変量メタ回帰の実行{col 67}{c |}
    {c |}       {helpb meta mvregress:[META] meta mvregress}.    {col 67}{c |}
    {c |}{col 67}{c |}
    {c |}    6. マルチレベルメタ回帰の実行{col 67}{c |}
    {c |}       {helpb meta meregress:[META] meta meregress} , {helpb meta multilevel:[META] meta multilevel}.{col 67}{c |}
    {c BLC}{hline 61}{c BRC}


{pstd}
{bf:{mansection META Intro:[META] Intro}} にて, メタ分析について紹介しています. 
ソフトウェアに依存しない内容となっています. 

{pstd}
{help meta_glossary##meta_data:{bf:meta} data} の宣言, 更新, 確認

{p2colset 9 39 41 2}{...}
{p2col :{helpb meta data}}メタ分析のためのデータであることを宣言{p_end}
{p2col :{helpb meta esize}}{cmd:meta} データの宣言と効果量の算出{p_end}
{p2col :{helpb meta set}}事前に算出した効果量を用いて {cmd:meta} データを宣言{p_end}
{p2col :{helpb meta update}}{cmd:meta} データの設定を更新{p_end}
{p2col :{helpb meta query}}{cmd:meta} データの設定を表示{p_end}
{p2col :{helpb meta clear}}{cmd:meta} データの設定をクリア{p_end}

{pstd}
{cmd:meta} データの要約表

{p2col :{helpb meta summarize}}メタデータの要約{p_end}
{p2col :{mansection META metasummarizeRemarksandexamplesmsumexsubgr:{bf:meta summarize, subgroup()}}}サブグループメタ分析の実行{p_end}
{p2col :{mansection META metasummarizeRemarksandexamplesmsumexcumul:{bf:meta summarize, cumulative()}}}累積メタ分析の実行{p_end}
{p2col :{mansection META metasummarizeRemarksandexamplesmsumexoneout:{bf:meta summarize, leaveoneout}}}leave-one-out メタ分析の実行{p_end}

{pstd}
{cmd:meta} データのフォレストプロット

{p2col :{helpb meta forestplot}}メタ分析フォレストプロットの生成{p_end}
{p2col :{mansection META metaforestplotRemarksandexamplesmfpexsubgrs:{bf:meta forestplot, subgroup()}}}サブグループメタ分析フォレストプロットの生成{p_end}
{p2col :{mansection META metaforestplotRemarksandexamplesmfpexcum:{bf:meta forestplot, cumulative()}}}累積メタ分析フォレストプロットの生成{p_end}
{p2col :{mansection META metaforestplotRemarksandexamplesmfpexoneout:{bf:meta forestplot, leaveoneout}}}leave-one-out メタ分析フォレストプロットの生成{p_end}

{pstd}
異質性の探索とメタ回帰の実行 

{p2col :{helpb meta galbraithplot}}ガルブレイスプロットの生成{p_end}
{p2col :{helpb meta labbeplot}}二値アウトカムの 2 グループ比較における L'Abb{c e'} プロットの生成{p_end}
{p2col :{helpb meta regress}}メタ回帰の実行{p_end}
{p2col :{helpb estat bubbleplot}}メタ回帰の実行後, バブルプロットの生成{p_end}

{pstd}
小規模研究の影響（ファネルプロットの非対称性, 出版バイアス）の調査と対処

{p2col :{helpb meta funnelplot}}ファネルプロットの生成{p_end}
{p2col :{mansection META metafunnelplotRemarksandexamplesmfunexcontours:{bf:meta funnelplot, contours()}}}等高線を強調したファンネルプロットを生成{p_end}
{p2col :{helpb meta bias}}小規模研究効果またはファンネルプロットの非対称性を検定{p_end}
{p2col :{helpb meta trimfill}}出版バイアスのトリムアンドフィル分析を実行{p_end}

{pstd}
多変量メタ回帰の実行

{p2col :{helpb meta mvregress}}多変量メタ回帰の実行{p_end}
{p2col :{help estat heterogeneity_mv:{bf:estat heterogeneity} (mv)}}多変量メタ回帰における異質性を評価{p_end}

{p 8 10 2}{cmd:meta mvregress} では, {cmd:meta set} によるデータ宣言は必要ありません.

{pstd}
マルチレベルメタ回帰の実行

{p2col :{helpb meta meregress}}マルチレベルメタ回帰の実行{p_end}
{p2col :{helpb meta multilevel}}ランダム切片のマルチレベルメタ回帰の実行{p_end}
{p2col :{help estat heterogeneity_me:{bf:estat heterogeneity} (me)}}マルチレベルメタ回帰における異質性の評価{p_end}

{p 8 10 2}{cmd:meta meregress} と {cmd:meta multilevel} は, {cmd:meta set} によるデータ宣言は必要ありません.


{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

{marker prep}{...}
{bf:データの準備}

{pstd}サンプルデータの読込み{p_end}
{phang2}
{cmd:. }{stata webuse pupiliq}
{p_end}

{pstd}事前に計算された効果量とその標準誤差を使用してメタ分析データを宣言{p_end}
{phang2}
{cmd:. }{stata meta set stdmdiff se}
{p_end}


{marker summary}{...}
{bf:メタ分析の要約}

{p 4 4 2}
標準的なメタ分析の要約を取得{p_end}
{phang2}
{cmd:. }{stata meta summarize}
{p_end}

{pstd}フォレストプロットを生成{p_end}
{phang2}
{cmd:. }{stata meta forestplot}
{p_end}


{marker subgroup}{...}
{bf:サブグループメタ分析}

{pstd}{cmd:week1} の各カテゴリのサブグループメタ分析サマリーを取得{p_end}
{phang2}
{cmd:. }{stata meta summarize, subgroup(week1)}
{p_end}

{pstd}変数 {cmd:week1} に基づいてサブグループメタ分析フォレストプロットを生成{p_end}
{phang2}
{cmd:. }{stata meta forestplot, subgroup(week1)}
{p_end}


{marker cumul}{...}
{bf:累積メタ分析}

{pstd}変数 {cmd:weeks} の順序に基づいて累積的なメタ分析サマリーを取得{p_end}
{phang2}
{cmd:. }{stata meta summarize, cumulative(weeks)}
{p_end}

{pstd}変数 {cmd:weeks} に基づいて累積メタ分析フォレストプロットを生成{p_end}
{phang2}
{cmd:. }{stata meta forestplot, cumulative(weeks)}
{p_end}

{pstd}上記と同様だが, 変数 {cmd:tester} 別に層化CMAを実行{p_end}
{phang2}
{cmd:. }{stata meta forestplot, cumulative(weeks, by(tester))}
{p_end}


{marker leaveone}{...}
{bf:Leave-one-out メタ分析}

{pstd}1 つを除外したメタ分析の要約を取得{p_end}
{phang2}
{cmd:. }{stata meta summarize, leaveoneout}
{p_end}

{pstd}1 つを除外したメタ分析フォレストプロットを生成{p_end}
{phang2}
{cmd:. }{stata meta forestplot, leaveoneout}
{p_end}


{marker regress}{...}
{bf:ガルブレイスプロット, メタ回帰, バブルプロット}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse bcg}{p_end}
{phang2}{cmd:. }{stata summarize latitude, meanonly}{p_end}
{phang2}{cmd:. }{stata generate double latitude_c = latitude - r(mean)}{p_end}

{pstd}対数リスク比とその標準誤差を計算し, メタデータを宣言{p_end}
{phang2}
{cmd:. }{stata meta esize npost nnegt nposc nnegc, esize(lnrratio)}
{p_end}

{pstd}ガルブレイスプロットの生成{p_end}
{phang2}
{cmd:. }{stata meta galbraithplot}
{p_end}

{pstd}共変量 {cmd:latitude_c} に対する効果量のメタ回帰を実行{p_end}
{phang2}
{cmd:. }{stata meta regress latitude_c}
{p_end}

{pstd}バブルプロットの生成{p_end}
{phang2}
{cmd:. }{stata estat bubbleplot}
{p_end}


{marker hetero}{...}
{bf:小規模研究の影響: 異質性}

{pstd}サンプルデータの読込み{p_end}
{phang2}
{cmd:. }{stata webuse pupiliqset}
{p_end}
{phang2}
{cmd:. }{stata meta query}
{p_end}

{pstd}ファネルプロットの生成{p_end}
{phang2}
{cmd:. }{stata meta funnelplot}
{p_end}

{pstd}Egger 回帰ベースの検定を使用してファンネルプロットの非対称性を検定{p_end}
{phang2}
{cmd:. }{stata meta bias, egger}
{p_end}

{pstd}{cmd:week1} による異質性を調整{p_end}
{phang2}
{cmd:. }{stata meta funnelplot, by(week1)}
{p_end}
{phang2}
{cmd:. }{stata meta bias i.week1, egger}
{p_end}


{marker pubbias}{...}
{bf:小規模研究の影響: 出版バイアス}

{pstd}サンプルデータの読込み{p_end}
{phang2}
{cmd:. }{stata webuse nsaids}
{p_end}

{pstd}対数オッズ比とその標準誤差を計算し, メタデータを宣言{p_end}
{phang2}
{cmd:. }{stata meta esize nstreat nftreat nscontrol nfcontrol}
{p_end}

{pstd}ファンネルプロットを生成{p_end}
{phang2}
{cmd:. }{stata meta funnelplot}
{p_end}

{pstd}Harbord 回帰ベースの検定を使用してファンネルプロットの非対称性を検定{p_end}
{phang2}
{cmd:. }{stata meta bias, harbord}
{p_end}

{pstd}出版バイアスのトリムアンドフィル分析を実行し, 結果をオッズ比として表示{p_end}
{phang2}
{cmd:. }{stata meta trimfill, eform}
{p_end}


{marker multivariate}{...}
{bf:多変量メタ分析}

{pstd}サンプルデータの読込み{p_end}
{phang2}
{cmd:. }{stata webuse periodontal}{p_end}

{pstd}変数 {cmd:v11}, {cmd:v12}, {cmd:v22} によって定義された研究内共分散構造を持つ効果量変数 {cmd:y1} と {cmd:y2} のランダム効果多変量メタ分析を実行{p_end}
{phang2}
{cmd:. }{stata meta mvregress y1 y2, wcovvariables(v11 v12 v22)}

{pstd}上記と同様ですが, 連続変数 {cmd:pubyear} に対してランダム効果多変量メタ回帰を実行{p_end}
{phang2}
{cmd:. }{stata meta mvregress y1 y2 = pubyear, wcovvariables(v11 v12 v22)}

{pstd}上記と同様ですが, 初期設定のREMLの代わりにMLを使用してランダム効果を推定{p_end}
{phang2}
{cmd:. }{stata meta mvregress y1 y2 = pubyear, wcovvariables(v11 v12 v22) random(mle)}

{pstd}上記と同様だが, 係数の標準誤差と独立したランダム効果共分散構造に 切断型ジャクソン・ライリー補正を使用{p_end}
{phang2}
{cmd:. }{stata meta mvregress y1 y2 = pubyear, wcovvariables(v11 v12 v22) random(mle, covariance(independent) se(truncjriley))}

{pstd}固定効果多変量メタ回帰を実行{p_end}
{phang2}
{cmd:. }{stata meta mvregress y1 y2 = pubyear, wcovvariables(v11 v12 v22) fixed}
{p_end}


{marker multilevel}{...}
{bf:マルチレベルメタ分析}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse schoolcal}{p_end}

{pstd}{cmd:district} と {cmd:district} 内にネストされた {cmd:school} によるランダム切片を使用して, 
効果量 {cmd:stdmdiff} の 3 レベルのメタ分析を実行{p_end}
{phang2}{cmd:. }{stata meta multilevel stdmdiff, relevels(district school) essevariable(se)}

{pstd}上記と同様ですが, {cmd:meta meregress}を使用して 3 レベルのメタ分析を実行{p_end}
{phang2}{cmd:. }{stata "meta meregress stdmdiff || district: || school:, essevariable(se)"}

{pstd}上記と同様ですが, 変数{cmd:year_c} に対して 3 レベルのメタ回帰を実行し, 
{cmd:district} レベルで {cmd:year_c} にランダムな傾斜を追加し, 
デフォルトのREML推定方法の代わりにMLを使用{p_end}
{phang2}{cmd:. }{stata "meta meregress stdmdiff year_c || district: year_c || school:, essevariable(se) mle"}

{pstd}上記と同様ですが, {cmd:district} レベルでのランダムな傾きと切片の間の {cmd:exchangeable} 共分散構造を指定{p_end}
{phang2}{cmd:. }{stata "meta meregress stdmdiff year_c || district: year_c, covariance(exchangeable) || school:, essevariable(se) mle"}
{p_end}


INCLUDE help jp_author
