{smcl}
{* *! version 2.3.1  16dec2024}{...}
{viewerdialog "Cox比例ハザードモデル" "dialog stcox"}{...}
{viewerdialog "調査データのCox比例ハザードモデル" "dialog stcox, message(-svy-) name(svy_stcox)"}{...}
{vieweralsosee "[ST] stcox" "mansection ST stcox"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[ST] stcox postestimation" "help stcox postestimation"}{...}
{vieweralsosee "[ST] stcurve" "help stcurve"}{...}
{vieweralsosee "" "--"}{...}
{vieweralsosee "[MI] Estimation" "help mi estimation"}{...}
{vieweralsosee "[PSS-2] power cox" "help power cox"}{...}
{vieweralsosee "[ST] PH plots (right-censored)" "help stcox_diagnostics"}{...}
{vieweralsosee "[ST] stcrreg" "help stcrreg"}{...}
{vieweralsosee "[ST] stintcox" "help stintcox"}{...}
{vieweralsosee "[ST] stintreg" "help stintreg"}{...}
{vieweralsosee "[ST] streg" "help streg"}{...}
{vieweralsosee "[ST] sts" "help sts"}{...}
{vieweralsosee "[ST] stset" "help stset"}{...}
{vieweralsosee "[SVY] svy estimation" "help svy_estimation"}{...}
{viewerjumpto "コマンドの記述法" "jp_stcox##syntax"}{...}
{viewerjumpto "メニュー" "jp_stcox##menu"}{...}
{viewerjumpto "説明" "jp_stcox##description"}{...}
{viewerjumpto "例題" "jp_stcox##examples"}{...}
{viewerjumpto "保存される結果" "jp_stcox##results"}{...}
{viewerjumpto "お問合せ" "jp_stcox##author"}{...}
{p2colset 1 15 17 2}{...}
{p2col:{bf:[ST] stcox} {hline 2}}Cox 比例ハザードモデル{p_end}
{p2colreset}{...}


{marker syntax}{...}
{bf:コマンドの記述法}

{p 8 17 2}
{cmd:stcox} [{it:{help jp_varlist:indepvars}}]  [{it:{help jp_if:if}}] [{it:{help jp_in:in}}]  [{cmd:,}
{it:options}] 

{phang}
{it:indepvars} は独立変数です. 半角スペースで区切って複数指定できます. {p_end}

{synoptset 21 tabbed}{...}
{synopthdr}
{synoptline}
{syntab:Model}
{synopt :{opt esti:mate}}共変量なしで推定する. {p_end}
{synopt :{opth strata:(jp_varlist:varnames)}}層化 ID 変数{p_end}
{synopt :{opth sh:ared(jp_varlist:varname)}}共通フレイル ID 変数{p_end}
{synopt :{opth off:set(jp_varlist:varname)}}係数を 1 としてモデルに {it:varname} を含める. {p_end}
{synopt :{opt bre:slow}}同時発生のイベントに Breslow法を適用する. 初期設定. {p_end}
{synopt :{opt efr:on}}同時発生のイベントに Efron法を適用する. {p_end}
{synopt :{opt exactm}}同時発生のイベントに 正確周辺尤度法を適用する. {p_end}
{synopt :{opt exactp}}同時発生のイベントに 正確部分尤度法を適用する. {p_end}

{syntab:Time varying}
{synopt :{opth tvc(varlist)}}時間の関数と相互作用する共変量を指定する. {p_end}
{synopt :{opth texp(exp)}}時間の関数を指定する. 初期設定は, {cmd:texp(_t)}{p_end}

{syntab:SE/Robust}
{synopt :{opth vce(vcetype)}}{it:vcetype} は次のいずれか. {break}
{opt oim}, {opt r:obust}, {opt cl:uster} {it:clustvar}, {opt boot:strap}, 
{opt jack:knife}{p_end}
{synopt :{opt noadj:ust}}標準的な自由度調整を使用しない. {p_end}

{syntab:Reporting}
{synopt :{opt l:evel(#)}}信頼水準を設定する. 初期値は, {cmd:level(95)}{p_end}
{synopt :{opt nohr}}ハザード比でなく, 係数を表示する. {p_end}
{synopt :{opt nosh:ow}}生存時間の設定情報を表示しない. {p_end}
{synopt :{it:{help stcox##display_options:display_options}}}表示に関するオプション. 

{syntab:Maximization}
{synopt :{it:{help stcox##maximize_options:maximize_options}}}最適化の処理を制御する. {p_end}
{synopt :{opt coefl:egend}}統計量の代わりに凡例を表示する. {p_end}

{synoptline}
{p2colreset}{...}
{p 4 6 2}
{cmd:stcox} を実行する前に, データを {cmd:stset} で宣言する必要があります. {p_end}
{p 4 6 2}
{it:varlist} には, 因子変数を含めることができます. 
{p_end}
{p 4 6 2}
{cmd:bootstrap}, {cmd:by}, {cmd:collect}, {opt fp}, {cmd:jackknife}, {opt mfp},
{cmd:mi estimate}, {cmd:nestreg}, {cmd:statsby}, {cmd:stepwise}, {cmd:svy} プレフィクスを使用
できます. {p_end}
{p 4 6 2}
{helpb mi estimate} プレフィクス指定時は, {cmd:vce(bootstrap)} と {cmd:vce(jackknife)} は使用できません. {p_end}
{p 4 6 2}
{helpb svy} プレフィクス指定時は, 
{opt estimate},
{opt shared()},
{opt efron},
{opt exactm},
{opt exactp},
{opt tvc()},
{opt texp()},
{opt vce()},
{opt noadjust} 
を使用できません. 
{p_end}
{p 4 6 2}
{manhelp stset ST} 実行時に, {cmd:fweight}, {cmd:iweight}, {cmd:pweight} 
を指定してください. 
{it:weight} は efron と exactp 指定時は使用できません. 
また, {cmd:stcox} コマンドで {cmd:bootstrap} プレフィックスを使用している場合は, {it:weight} を指定できない場合があります. 
{p_end}
{p 4 6 2}
{opt coeflegend} はダイアログでは指定できません.{p_end}
{p 4 6 2}
{manhelp stcox_postestimation ST:stcox postestimation} にて, 推定後に実行できる機能を確認できます.
{p_end}


{marker menu}{...}
{bf:メニュー}

{phang}
{bf:[統計(S)] > [生存分析] > [回帰モデル] > [Cox比例ハザードモデル]}


{marker description}{...}
{bf:説明}

{pstd}
{cmd:stcox} は, 生存時間データに対して最大尤度法によって, 比例ハザードモデルを 当てはめます. 
{cmd:stcox} は, 単一または複数のレコード, あるいは単一または複数のイベントの生存時間データで使用できます. {break}
{manhelp stset ST} で生存時間データであることを宣言してから, {cmd:stcox} を実行します. 

{marker examples}{...}
{bf:例題}

{phang}クリックするとコマンドが実行されます. {p_end}

    {hline}
    {bf:例題: 打ち切りなしデータにおけるCox回帰}
 
{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse kva}{p_end}

{pstd}データを一覧表示する. {p_end}
{phang2}{cmd:. }{stata list}

{pstd}生存時間データを宣言する. {p_end}
{phang2}{cmd:. }{stata stset failtime}{p_end}

{pstd}Cox比例ハザードモデルを当てはめる. {p_end}
{phang2}{cmd:. }{stata stcox load bearings}{p_end}

{pstd}ハザード比ではなく係数を表示する. {p_end}
{phang2}{cmd:. }{stata stcox, nohr}{p_end}

    {hline}
    {bf:例題: 打ち切りデータにおけるCox回帰}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse drugtr}{p_end}

{pstd}生存時間データの設定を表示する. {p_end}
{phang2}{cmd:. }{stata stset}

{pstd}Cox比例ハザードモデルを当てはめる. {p_end}
{phang2}{cmd:. }{stata stcox drug age}

    {hline}
    {bf:例題: 離散時間変動共変量を用いたCox回帰}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse stan3}{p_end}
{phang2}{cmd:. }{stata stset}

{pstd}Coxモデルを当てはめる. {p_end}
{phang2}{cmd:. }{stata stcox age posttran surg year}

{pstd}ロバスト標準誤差を推定する. {p_end}
{phang2}{cmd:. }{stata stcox age posttran surg year, vce(robust)}

    {hline}
    {bf:例題: 連続時間変動共変量を用いたCox回帰}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse drugtr2}

{pstd}データの一部を一覧表示する. {p_end}
{phang2}{cmd:. }{stata list in 1/12, sep(0)}

{pstd}生存時間データを宣言する. {p_end}
{phang2}{cmd:. }{stata stset time, failure(cured)}

{pstd}Coxモデルを当てはめる. {p_end}
{phang2}{cmd:. }{stata stcox age drug1 drug2}

{pstd}体内に残留する薬物の実際のレベルが, 時間とともに指数関数的に減少することを考慮し, モデルを再調整する{p_end}
{phang2}{cmd:. }{stata stcox age, tvc(drug1 drug2) texp(exp(-0.35*_t))}

    {hline}
    {bf:例題: 複数イベントデータに対するCox回帰}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse mfail}

{pstd}ロバスト標準誤差を推定する. {p_end}
{phang2}{cmd:. }{stata stcox x1 x2, vce(robust)}

    {hline}
    {bf:例題: 層別推定}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse stan3}

{pstd}1970年と1973年の治療の変化を反映するようにデータを修正する. {p_end}
{phang2}{cmd:. }{stata generate pgroup = year}{p_end}
{phang2}{cmd:. }{stata recode pgroup min/69=1 70/72=2 73/max=3}

{pstd}Coxモデルを当てはめる. {p_end}
{phang2}{cmd:. }{stata stcox age posttran surg year, strata(pgroup)}

    {hline}
    {bf:例題: 共有フレイルのCox回帰}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse catheter, clear}

{pstd}データの一部を一覧表示する. {p_end}
{phang2}{cmd:. }{stata list in 1/10}

{pstd}生存時間データを宣言する. {p_end}
{phang2}{cmd:. }{stata stset time, fail(infect)}

{pstd}Coxモデルを当てはめる. {p_end}
{phang2}{cmd:. }{stata stcox age female, shared(patient)}

    {hline}
    {bf:例題: 調査データに対するCox回帰}

{pstd}サンプルデータの読込み{p_end}
{phang2}{cmd:. }{stata webuse nhefs}

{pstd}調査データを宣言する. {p_end}
{phang2}{cmd:. }{stata svyset psu2 [pw=swgt2], strata(strata2)}

{pstd}生存時間データを宣言する. {p_end}
{phang2}{cmd:. }{stata stset age_lung_cancer if age_lung_cancer < . [pw=swgt2], fail(lung_cancer)}

{pstd}調査データを考慮したCoxモデルを当てはめる. {p_end}
{phang2}{cmd:. }{stata "svy: stcox former_smoker smoker male urban1 rural"}{p_end}

    {hline}

{marker results}{...}
{bf:保存される結果}

{pstd}
{cmd:stcox} を実行すると下記の {cmd:e()} がメモリ上に保存されます. :

{synoptset 23 tabbed}{...}
{p2col 5 23 26 2: Scalars}{p_end}
{synopt:{cmd:e(N)}}観測数{p_end}
{synopt:{cmd:e(N_sub)}}被験者数{p_end}
{synopt:{cmd:e(N_fail)}}イベント数{p_end}
{synopt:{cmd:e(N_g)}}グループ数{p_end}
{synopt:{cmd:e(df_m)}}モデルの自由度{p_end}
{synopt:{cmd:e(r2_p)}}疑似決定係数{p_end}
{synopt:{cmd:e(ll)}}対数尤度{p_end}
{synopt:{cmd:e(ll_0)}}定数項のみのモデルの対数尤度{p_end}
{synopt:{cmd:e(ll_c)}}比較モデルの対数尤度{p_end}
{synopt:{cmd:e(N_clust)}}クラスター数{p_end}
{synopt:{cmd:e(chi2)}}カイ二乗値{p_end}
{synopt:{cmd:e(chi2_c)}}比較検定におけるカイ二乗値{p_end}
{synopt:{cmd:e(risk)}}危険にさらされる合計時間{p_end}
{synopt:{cmd:e(g_min)}}最小のグループサイズ{p_end}
{synopt:{cmd:e(g_avg)}}平均のグループサイズ{p_end}
{synopt:{cmd:e(g_max)}}最大のグループサイズ{p_end}
{synopt:{cmd:e(theta)}}フレイルパラメータ{p_end}
{synopt:{cmd:e(se_theta)}}シータの標準誤差{p_end}
{synopt:{cmd:e(p_c)}}比較検定の {it:p}-値{p_end}
{synopt:{cmd:e(rank)}}{cmd:e(V)} のランク{p_end}
{synopt:{cmd:e(converged)}}収束していれば {cmd:1}, そうでなければ {cmd:0}.{p_end}

{p2col 5 23 26 2: Macros}{p_end}
{synopt:{cmd:e(cmd)}}{cmd:cox} または {cmd:stcox_fr}{p_end}
{synopt:{cmd:e(cmd2)}}{cmd:stcox}{p_end}
{synopt:{cmd:e(cmdline)}}実行されたコマンド{p_end}
{synopt:{cmd:e(depvar)}}{cmd:_t}{p_end}
{synopt:{cmd:e(t0)}}{cmd:_t0}{p_end}
{synopt:{cmd:e(wtype)}}重みタイプ{p_end}
{synopt:{cmd:e(wexp)}}重み表現{p_end}
{synopt:{cmd:e(texp)}}{cmd:tvc()} オプションで指定した共変量で使用される時間関数{p_end}
{synopt:{cmd:e(ties)}}同時発生イベントの処理に適用された手法{p_end}
{synopt:{cmd:e(strata)}}層化変数{p_end}
{synopt:{cmd:e(shared)}}フレイルのグループ変数{p_end}
{synopt:{cmd:e(clustvar)}}クラスター変数名{p_end}
{synopt:{cmd:e(offset)}}線形オフセット変数{p_end}
{synopt:{cmd:e(chi2type)}}カイ二乗検定のタイプ. {cmd:Wald} または {cmd:LR}{p_end}
{synopt:{cmd:e(vce)}}{cmd:vce()} で指定した {it:vcetype} {p_end}
{synopt:{cmd:e(vcetype)}}標準誤差のタイトル{p_end}
{synopt:{cmd:e(method)}}指定した推定手法{p_end}
{synopt:{cmd:e(datasignature)}}チェックサム（誤り検出符号）{p_end}
{synopt:{cmd:e(datasignaturevars)}}チェックサムの算出に使用された変数{p_end}
{synopt:{cmd:e(properties)}}{cmd:b V}{p_end}
{synopt:{cmd:e(estat_cmd)}}{cmd:estat} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(predict)}}{cmd:predict} の実装に使用されるプログラム{p_end}
{synopt:{cmd:e(footnote)}}注釈表示を実装するために使用されるプログラム{p_end}
{synopt:{cmd:e(marginsnotok)}}{cmd:margins} によって許容されない予測{p_end}
{synopt:{cmd:e(asbalanced)}}{cmd:asbalanced} とする因子変数{p_end}
{synopt:{cmd:e(asobserved)}}{cmd:asobserved} とする因子変数{p_end}

{p2col 5 23 26 2: Matrices}{p_end}
{synopt:{cmd:e(b)}}係数ベクトル{p_end}
{synopt:{cmd:e(V)}}推定値の分散共分散行列{p_end}
{synopt:{cmd:e(V_modelbased)}}モデルベースの分散{p_end}

{p2col 5 23 26 2: Functions}{p_end}
{synopt:{cmd:e(sample)}}推定に使用したサンプル{p_end}
{p2colreset}{...}

INCLUDE help jp_rtable

INCLUDE help jp_author
